osl::move_probability::AttackFromOpposingSliders Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::AttackFromOpposingSliders:

## Public Member Functions

| AttackFromOpposingSliders ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 591 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## AttackFromOpposingSliders()

osl::move_probability::AttackFromOpposingSliders::AttackFromOpposingSliders | ( |  | ) |

inline

Definition at line 594 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and osl::PTYPE_SIZE.

## Member Function Documentation

## match()

double osl::move_probability::AttackFromOpposingSliders::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 597 of file move_probability/feature.h.

References osl::alt(), osl::NumEffectState::countEffect(), osl::NumEffectState::findCheapAttack(), osl::move_probability::MoveInfo::move, osl::move_probability::StateInfo::pinByOpposingSliders(), osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_EMPTY, osl::PTYPE_SIZE, osl::move_probability::MoveInfo::see, osl::move_probability::StateInfo::state, and osl::Move::to().

The documentation for this class was generated from the following file:

- move_probability/feature.h